Subject: Bug#1487: sftp-server is missing message (I do not need filetransfer)

From: zounp <[email-masked]>
Date: Wed, 22 Jul 2020 23:02:07 +0000

Package: x2goclient
Version: 4.1.2.1-2+deb10u1

Hello,
When I started X2Go I got a popup saying

"Unable to find the sftp-server binary. Neither bundled, nor found in $PATH nor additional directories.
If you are using a Linux-based operating system, please ask your system administrator to install the package containing the sftp-server binary. Common names are openssh, openssh-server or openssh-sftp-server depending upon distribution.
If the sftp-server binary is installed on your system, please report a bug mentioning its path on: https://wiki.x2go.org/doku.php/wiki:bugs"

I went searching on https://wiki.x2go.org/doku.php/start what this could mean. I found

"Overview of third-party components
X2Go Client for Windows needs several 3rd-party programs for being able to run on MS Windows: [nxproxy](https://wiki.x2go.org/doku.php/wiki:development:build-howto-mswin:x2goclient#building_nxproxy_openssh_optional) [OpenSSH Server](https://wiki.x2go.org/doku.php/wiki:development:build-howto-mswin:x2goclient#openssh_server) for file sharing (optional) "

So OpenSSH Server is optional and thus I presume the sftp-server is also. So why do I get the messeage stating that I need a sftp-server? Shouldn't

> 1. at least the text be changed?
> 2. a checkbox added to silence this message?

When I close the popup (Hit the OK button of it) the whole X2Go client closes. So in order to use the X2Go client I have to leave the popup window opened. That is a bit annoying.

Thanks for X2Go. I like it.

With kind regards,
Zounp